#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ nestedclasses;
#pragma link C++ nestedtypedefs;
#pragma link C++ namespace CLUE;

// in case GObjArray is a member of a class,
// these #pragma must come first
#pragma link C++ template CLUE::GObjArray;
#pragma link C++ template CLUE::GClonesArray;
#pragma link C++ template CLUE::GObjArrayIterator;
#pragma link C++ template CLUE::ConstGObjArrayIterator;

#pragma link C++ class CLUE::GObjArray<TrackBase*>;
#pragma link C++ class CLUE::GObjArray<PatternMatch*>;
#pragma link C++ class CLUE::GObjArray<RecoSegment*>;
#pragma link C++ class CLUE::GObjArray<Wire*>;
#pragma link C++ class CLUE::GObjArray<EcalHit*>;
#pragma link C++ class CLUE::GObjArray<RecoTrack*>;
#pragma link C++ class CLUE::GObjArray<RecoVertex*>;
#pragma link C++ class CLUE::GObjArray<MC_Track*>;
#pragma link C++ class CLUE::GObjArray<MC_Vertex*>;
#pragma link C++ class CLUE::GObjArray<Topp*>;
#pragma link C++ class CLUE::GObjArray<TrackClones*>;
#pragma link C++ class CLUE::GObjArray<VDS_Track*>;
#pragma link C++ class CLUE::GObjArray<OTR_SpacePoint*>;
#pragma link C++ class CLUE::GObjArray<RICH_Track*>;
#pragma link C++ class CLUE::GObjArray<MuonTrack*>;

#pragma link C++ class CLUE::GObjArrayIterator<TrackBase*>;
#pragma link C++ class CLUE::GObjArrayIterator<PatternMatch*>;
#pragma link C++ class CLUE::GObjArrayIterator<RecoSegment*>;
#pragma link C++ class CLUE::GObjArrayIterator<Wire*>;
#pragma link C++ class CLUE::GObjArrayIterator<EcalHit*>;
#pragma link C++ class CLUE::GObjArrayIterator<RecoTrack*>;
#pragma link C++ class CLUE::GObjArrayIterator<RecoVertex*>;
#pragma link C++ class CLUE::GObjArrayIterator<MC_Track*>;
#pragma link C++ class CLUE::GObjArrayIterator<MC_Vertex*>;
#pragma link C++ class CLUE::GObjArrayIterator<Topp*>;
#pragma link C++ class CLUE::GObjArrayIterator<TrackClones*>;
#pragma link C++ class CLUE::GObjArrayIterator<VDS_Track*>;
#pragma link C++ class CLUE::GObjArrayIterator<OTR_SpacePoint*>;
#pragma link C++ class CLUE::GObjArrayIterator<RICH_Track*>;
#pragma link C++ class CLUE::GObjArrayIterator<MuonTrack*>;

#pragma link C++ class CLUE::ConstGObjArrayIterator<TrackBase*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<PatternMatch*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<RecoSegment*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<Wire*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<EcalHit*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<RecoTrack*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<RecoVertex*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<MC_Track*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<MC_Vertex*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<Topp*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<TrackClones*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<VDS_Track*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<OTR_SpacePoint*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<RICH_Track*>;
#pragma link C++ class CLUE::ConstGObjArrayIterator<MuonTrack*>;

#pragma link C++ class CLUE::GClonesArray<Wire*>;
#pragma link C++ class CLUE::GClonesArray<EcalHit*>;
#pragma link C++ class CLUE::GClonesArray<RecoVertex*>;
#pragma link C++ class CLUE::GClonesArray<RecoTrack*>;
#pragma link C++ class CLUE::GClonesArray<RecoSegment*>;
#pragma link C++ class CLUE::GClonesArray<MC_Track*>;
#pragma link C++ class CLUE::GClonesArray<MC_Vertex*>;
#pragma link C++ class CLUE::GClonesArray<PatternMatch*>;
#pragma link C++ class CLUE::GClonesArray<Topp*>;
#pragma link C++ class CLUE::GClonesArray<TrackClones*>;
#pragma link C++ class CLUE::GClonesArray<VDS_Track*>;
#pragma link C++ class CLUE::GClonesArray<OTR_SpacePoint*>;
#pragma link C++ class CLUE::GClonesArray<RICH_Track*>;
#pragma link C++ class CLUE::GClonesArray<MuonTrack*>;
#pragma link C++ class CLUE::GClonesArray<TrackBase*>;

#pragma link C++ class CLUE::StreamObject-;
#pragma link C++ class CLUE::RtEvent-;

#pragma link C++ class CLUE::EcalHit;
#pragma link C++ class CLUE::ClueIni;
#pragma link C++ class CLUE::Topp;
#pragma link C++ class CLUE::Wire;
#pragma link C++ class CLUE::TrackBase;
#pragma link C++ class CLUE::MC_Vertex;
#pragma link C++ class CLUE::MC_Track;

#pragma link C++ class  CLUE::RecoSegment;
#pragma link C++ struct Rsegc;
#pragma link C++ enum   Rsegc::Cmp;


#pragma link C++ class CLUE::RecoTrack;

#pragma link C++ class CLUE::RecoVertex;
#pragma link C++ class CLUE::TrackClones;

#pragma link C++ class CLUE::Pattern-;
#pragma link C++ enum  CLUE::FindFlag;

#pragma link C++ class CLUE::PatternMatch;

#pragma link C++ class CLUE::VDS_Track;
#pragma link C++ class CLUE::OTR_SpacePoint;
#pragma link C++ class CLUE::RICH_Track;
#pragma link C++ class CLUE::MuonTrack;

#pragma link C++ class CLUE::Combiner-;

#pragma link C++ class  CLUE::ClPdtEntry-;

#pragma link C++ template CLUE::ClProperty;
#pragma link C++ template CLUE::ClExpression;
#pragma link C++ template CLUE::ClMember;
#pragma link C++ template CLUE::ClMemberTwoPar;
#pragma link C++ template CLUE::ClConstant;

#pragma link C++ class    CLUE::ClProperty<RecoSegment,int>;
#pragma link C++ class    CLUE::ClProperty<RecoSegment,float>;
#pragma link C++ class    CLUE::ClExpression<RecoSegment,int,int>;
#pragma link C++ class    CLUE::ClExpression<RecoSegment,float,int>;
#pragma link C++ class    CLUE::ClExpression<RecoSegment,float,float>;
#pragma link C++ class    CLUE::ClMember<RecoSegment,float>;
#pragma link C++ class    CLUE::ClMember<RecoSegment,int>;
#pragma link C++ class    CLUE::ClMemberTwoPar<RecoSegment,float,int,int>;
#pragma link C++ class    CLUE::ClConstant<RecoSegment,int>;
#pragma link C++ class    CLUE::ClConstant<RecoSegment,float>;

#pragma link C++ class    CLUE::ClProperty<RecoTrack,int>;
#pragma link C++ class    CLUE::ClProperty<RecoTrack,float>;
#pragma link C++ class    CLUE::ClExpression<RecoTrack,int,int>;
#pragma link C++ class    CLUE::ClExpression<RecoTrack,float,int>;
#pragma link C++ class    CLUE::ClExpression<RecoTrack,float,float>;
#pragma link C++ class    CLUE::ClMember<RecoTrack,float>;
#pragma link C++ class    CLUE::ClMember<RecoTrack,int>;
#pragma link C++ class    CLUE::ClMemberTwoPar<RecoTrack,float,int,int>;
#pragma link C++ class    CLUE::ClConstant<RecoTrack,int>;
#pragma link C++ class    CLUE::ClConstant<RecoTrack,float>;


#pragma link C++ class    ArtePointerBase;

#pragma link C++ class ArtePointer<CLUE::Wire>-;
#pragma link C++ class ArtePointer<CLUE::EcalHit>-;
#pragma link C++ class ArtePointer<CLUE::Topp>-;
#pragma link C++ class ArtePointer<CLUE::MC_Vertex>-;
#pragma link C++ class ArtePointer<CLUE::MC_Track>-;
#pragma link C++ class ArtePointer<CLUE::TrackClones>-;
#pragma link C++ class ArtePointer<CLUE::RecoTrack>-;
#pragma link C++ class ArtePointer<CLUE::RecoVertex>-;
#pragma link C++ class ArtePointer<CLUE::VDS_Track>-;
#pragma link C++ class ArtePointer<CLUE::OTR_SpacePoint>-;
#pragma link C++ class ArtePointer<CLUE::RICH_Track>-;
#pragma link C++ class ArtePointer<CLUE::MuonTrack>-;

#pragma link C++ class ArteTable<CLUE::Wire>-;
#pragma link C++ class ArteTable<CLUE::EcalHit>-;
#pragma link C++ class ArteTable<CLUE::RecoTrack>-;
#pragma link C++ class ArteTable<CLUE::RecoVertex>-;
#pragma link C++ class ArteTable<CLUE::MC_Track>-;
#pragma link C++ class ArteTable<CLUE::MC_Vertex>-;
#pragma link C++ class ArteTable<CLUE::Topp>-;
#pragma link C++ class ArteTable<CLUE::TrackClones>-;
#pragma link C++ class ArteTable<CLUE::VDS_Track>-;
#pragma link C++ class ArteTable<CLUE::OTR_SpacePoint>-;
#pragma link C++ class ArteTable<CLUE::RICH_Track>-;
#pragma link C++ class ArteTable<CLUE::MuonTrack>-;

#pragma link C++ class ArteTableIterator<CLUE::Wire>-;
#pragma link C++ class ArteTableIterator<CLUE::EcalHit>-;
#pragma link C++ class ArteTableIterator<CLUE::RecoTrack>-;
#pragma link C++ class ArteTableIterator<CLUE::RecoVertex>-;
#pragma link C++ class ArteTableIterator<CLUE::MC_Track>-;
#pragma link C++ class ArteTableIterator<CLUE::MC_Vertex>-;
#pragma link C++ class ArteTableIterator<CLUE::Topp>-;
#pragma link C++ class ArteTableIterator<CLUE::TrackClones>-;
#pragma link C++ class ArteTableIterator<CLUE::VDS_Track>-;
#pragma link C++ class ArteTableIterator<CLUE::OTR_SpacePoint>-;
#pragma link C++ class ArteTableIterator<CLUE::RICH_Track>-;
#pragma link C++ class ArteTableIterator<CLUE::MuonTrack>-;

// #include "PdtNamesDict.h"
#endif
