/**********************************************************************/
//
// $Source: /home/cluerep/CVS/Gate/old/ClonesArray.C,v $
// $Revision: 1.1.1.15 $
// $Author: cluerep $
// $Date: 2002/01/18 14:15:05 $
//
// Created: 07-14-98,   C. Borgmeier
//
// class GClonesArray
//
// Template wrapper for TClonesArray
// instantiation file
//
/**********************************************************************/


#include <iostream>

#include <Gate/ClonesArray.hh>
#include <Gate/ClonesArray.icc>
#include <Gate/ClonesTable.icc>
#ifdef USE_ROOT
#include <Gate/ObjArray.icc>
#endif

#include <Clue/RtEvent.hh>
#include <Clue/RecoTrack.hh>
#include <Clue/RecoVertex.hh>
#include <Clue/TrackClones.hh>
#include <Clue/MC_Vertex.hh>
#include <Clue/MC_Track.hh>
#include <Clue/PatternMatch.hh>
#include <Clue/Topp.hh>
#include <Clue/Property.hh>
#include <Clue/CustomTrack.hh>
#include <Clue/Wire.hh>
#include <Clue/EcalHit.hh>
#include <Clue/ClonesTableSpec.hh>

#ifdef USE_ROOT
#define GObjArrayImp(tmp) \
template class GClonesArray<tmp*>;\
template class GObjArray<tmp*>;\
template class GObjArrayIterator<tmp*>;\
template class ConstGObjArrayIterator<tmp*>;


GObjArrayImp(Wire)
GObjArrayImp(EcalHit)
GObjArrayImp(RecoTrack)
GObjArrayImp(VDS_Track)
GObjArrayImp(OTR_SpacePoint)
GObjArrayImp(RICH_Track)
GObjArrayImp(MuonTrack)
GObjArrayImp(RecoSegment)
GObjArrayImp(RecoVertex)
GObjArrayImp(MC_Track)
GObjArrayImp(MC_Vertex)
GObjArrayImp(PatternMatch)
GObjArrayImp(Topp)
GObjArrayImp(TrackBase)
GObjArrayImp(TrackClones)

ClassImpT(ArteTable,T)
#endif

// following declarations are important for rootcint to get 
// the specializations
//  template class ArteTable<RecoTrack>;
//  template class ArteTable<RecoVertex>;
//  template class ArteTable<TrackClones>;
//  template class ArteTable<MC_Track>;
//  template class ArteTable<MC_Vertex>;
//  template class ArteTable<Topp>;
//  template class ArteTable<Wire>;
//  template class ArteTable<EcalHit>;
//  template class ArteTable<VDS_Track>;
//  template class ArteTable<OTR_SpacePoint>;
//  template class ArteTable<RICH_Track>;
//  template class ArteTable<MuonTrack>;

//  template class ArtePointer<RecoTrack>;
//  template class ArtePointer<RecoVertex>;
//  template class ArtePointer<TrackClones>;
//  template class ArtePointer<MC_Track>;
//  template class ArtePointer<MC_Vertex>;
//  template class ArtePointer<Topp>;
//  template class ArtePointer<Wire>;
//  template class ArtePointer<EcalHit>;
//  template class ArtePointer<VDS_Track>;
//  template class ArtePointer<OTR_SpacePoint>;
//  template class ArtePointer<RICH_Track>;
//  template class ArtePointer<MuonTrack>;


extern "C" void MAIN__() {}  // missing symbol in libf2c
