#ifndef __GRELATIONFWD_HH
#define __GRELATIONFWD_HH
// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   06. Dez 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: forward declarations of grelation package
//
// changes:
// 06 Dez 2000 (TG) creation
//
// *****************************************************************************

// Grelation 
template <class T> class G_trait;
template <class T> class GRelationList;
template <class T> class GRelationIterator;
template <class T> class ConstGRelationIterator;
template <class T> class ReverseGRelationIterator;
template <class T> class ConstReverseGRelationIterator;

// Clue Relations
template <class T> class ClueRelationList;
template <class T> class ClueRelationIterator;
template <class T> class ConstClueRelationIterator;
template <class T> class ReverseClueRelationIterator;
template <class T> class ConstReverseClueRelationIterator;
#endif
