// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Mai 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Grover package
//
// changes:
// 04 Sep 2001 (TG) creation
//
// *****************************************************************************

#include "grover/CVStag.grover"
#include "clue/PkgIni.hh"
#include "grover/GroverIni.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif

// global Grover symbol
const PkgIni GroverSteer(xcvsMODULE_grover, xcvsVERSION_grover, xcvsDAYTIME_grover);

#ifdef NAMESPACE
} // namespace CLUE
#endif
