#ifndef __CC_FLAG_HH
#define __CC_FLAG_HH
// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   05. Feb 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Definition of flags for charge conjugated treatment
//
// changes:
// 05 Feb 2001 (TG) creation
//
// ********************************************************************

/** enum type for handling of charge conjugated pattern */
enum CC_Flag { NONE, OR_CC, CC };
#endif
