// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   20. Jul 1997
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: A new PatternMatch class
//
// changes:
// 23 Jan 2001 (TG) creation
//
// ********************************************************************
#include <iostream>
#include "pattern/PatternMatch.hh"
#include "pattern/Pattern.hh"
#include "clue/cluearte.hh" // needed by RecoTrack
#include "clue/RecoTrack.hh"

//==============================================================================
// Constructors
//==============================================================================
PatternMatch::PatternMatch(const RecoTrack& tr, const Pattern& pat) :
    PatternMatchBase( tr, pat) {}

#ifdef USE_ROOT
ClassImp(PatternMatch)
#endif
