
/* ********************************************************************/
//
// $Source: /home/cluerep/CVS/Cern/include/kuip.hh,v $
// $Revision: 1.1.1.3 $
// $Author: cluerep $
// $Date: 2001/01/09 15:08:58 $
//
// Created: 06-27-97,   C. Borgmeier
//
/* ********************************************************************/

#ifndef _KUIP_HH_
#define _KUIP_HH_

#include <CLHEP/Utilities/fortran.h>

extern "C" {
  void FORTRAN_ROUTINE( kuinit )( const int &nwords );
  void FORTRAN_ROUTINE( kuexec )( char const * str, int length );
  void FORTRAN_ROUTINE( kuwhag )();
  void FORTRAN_ROUTINE( kuwhat )();
  void FORTRAN_ROUTINE( kugetr )( float & hpar );
  void FORTRAN_ROUTINE( kugeti )( int & ipar );
  void FORTRAN_ROUTINE( kugetc )( char* chpar, int & length , int );

//  void FORTRAN_ROUTINE(igtabl)( const int &nx, const int &ny, const float v[],
//				const int &npar, const float par[],
//				const char* chopt, int len );

}

#include <string>

using std::string;


inline void kuexec( const string& str )
{
  FORTRAN_ROUTINE(kuexec)( str.c_str(), str.length() );
}

#if 0
// for IRIX CC
#include <rope.h>
inline void kuexec( const crope& str )
{
  FORTRAN_ROUTINE(kuexec)( str.c_str(), str.size() );
}
#endif        /* 0 */

#endif        /* _KUIP_HH_ */

