// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   05. Nov 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: LorentzVector interface
//
// changes:
// 05 Nov 2000 (TG) creation
// 20 Nov 2000 (TG) added namespace CLUE
//
// ********************************************************************

#include "geometry/ClLorentzVector.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif

#ifdef USE_ROOT
ClassImp(LorentzVector)
#endif

#ifdef NAMESPACE
} // namespace CLUE
#endif
